Live Google Hotel Info HTML

‌‌
Google Hotel Info will provide you with unstructured HTML data available for a specific hotel entity on the Google Hotels platform: such as service description, location details, rating, amenities, reviews, images, prices, and more.

Use the unique hotel_identifier to specify the hotel. It can be obtained using the Advanced method of Google SERP API, or by requesting a Hotel Searches endpoint of Business Data API.
The results are specific to the selected location (see the List of Locations) and language (see the List of Languages) settings.

checked POST
Pricing

Your account will be charged for setting a task. The cost can be calculated on the Pricing page.

All POST data should be sent in the JSON format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, each Live API call can contain only one task. The maximum number of calls that can be sent simultaneously is limited to 30.

Below you will find a detailed description of the fields you can use for setting a task.

Description of the fields for setting a task:

Field nameTypeDescription
hotel_identifierstring

unique hotel identifier
required field
unique identifier of a hotel entity in Google search;
you can obtain the value by making a request to Advanced Google SERP API (enclosed in the hotels element of the response), or the Hotel Searches endpoint of Business Data API
example:
ChYIq6SB--i6p6cpGgovbS8wN2s5ODZfEAE

priorityinteger

task priority
optional field
can take the following values:
1 – normal execution priority (set by default)
2 – high execution priorityYou will be additionally charged for the tasks with high execution priority.
The cost can be calculated on the Pricing page.

location_namestring

full name of search engine location
required field if you don't specify location_code or location_coordinate
if you use this field, you don't need to specify location_code or location_coordinate
you can receive the list of available locations with location_name by making a separate request to https://api.dataforseo.com/v3/business_data/google/locations
example:
London,England,United Kingdom

location_codeinteger

search engine location code
required field if you don't specify location_name_or location_coordinate
if you use this field, you don't need to specify location_name or location_coordinate
you can receive the list of available locations with location_code by making a separate request to the https://api.dataforseo.com/v3/business_data/google/locations
example:
2840n

location_coordinatestring

GPS coordinates of a location
required field if you don't specify location_name_or location_code
if you use this field, you don't need to specify location_name or location_code
location_coordinate parameter should be specified in the "latitude,longitude" format
the maximum number of decimal digits for "latitude" and "longitude": 7
Note: if the coordinates are used to set a location, the search will occur in the nearest settlement;
example:
53.476225,-2.243572n

language_namestring

full name of search engine language
required field if you don't specify language_code
if you use this field, you don't need to specify language_code
you can receive the list of available languages with language_name by making a separate request to https://api.dataforseo.com/v3/business_data/google/languages
example:
English

language_codestring

search engine language code
required field if you don't specify language_name
if you use this field, you don't need to specify language_name
you can receive the list of available languages with their language_code_by making a separate request to https://api.dataforseo.com/v3/business_data/google/languages
example:
enn

check_instring

check-in date
optional field
if you don't specify this field, tomorrow's date will be used by default;
date format: "yyyy-mm-dd"
example:
"2019-01-15"

check_outstring

check-out date
optional field
if you don't specify this field, our system will apply the date of two days from now by default;
date format: "yyyy-mm-dd"
example:
"2019-01-15"

currencystring

currency
optional field
example:
"USD"

adultsinteger

number of adults
optional field
if you don't specify this field, two adults will be used by default
example:
1

childrenarray

number and age of children
optional field
if you don't specify this field, no children will be included in the search;

set the following value if you want to include one 14-years-old child:
[14]
set the following value if you want to include one 13-years-old child and one 8-years-old child:
[13,8]

tagstring

user-defined task identifier
optional field
the character limit is 255
you can use this parameter to identify the task and match it with the result
you will find the specified tag value in the data array of the response


‌‌‌‌‌
As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array that were returned an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataarray

contains the same parameters that you specified in the POST request

    resultarray

array of results

        keywordstring

unique hotel identifier specified as "hotel_id:$"

        typestring

type of search results
in this case, "hotel_info"

        se_domainstring
        location_codeinteger

location code in a POST array

        language_codestring

language code in a POST array

        datetimestring

date and time when the result was received
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”
example:
2019-11-15 12:57:46 +00:00

        items_countinteger

the number of results returned in the items array

        itemsarray

HTML pages

            pageinteger

serial number of the returned HTML page

            datestring

date and time when the HTML page was scanned
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”
example:
2019-11-15 12:57:46 +00:00

            htmlstring

HTML of the page

‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/business_data/google/hotel_info/live/html" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
    {
        "language_code": "en",
        "location_name": "New York,New York,United States",
        "hotel_identifier": "ChYIq6SB--i6p6cpGgovbS8wN2s5ODZfEAE"
    }
]'
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');

$post_array = array();
// example #1 - a simple way to set a task
// this way requires you to specify a location, a language of search, and a hotel_identifier.
$post_array[] = array(
	"location_code" => 1023191,
	"language_code" => "en",
	"hotel_identifier" => mb_convert_encoding("ChYIq6SB--i6p6cpGgovbS8wN2s5ODZfEAE", "UTF-8")
);
// example #2 - a way to set a task with additional parameters
$post_array[] = array(
	"location_name" => "New York,New York,United States",
	"language_name" => "English",
	"hotel_identifier" => mb_convert_encoding("ChYIq6SB--i6p6cpGgovbS8wN2s5ODZfEAE", "UTF-8")
);
// this example has 2 elements, but in the case of large number of tasks - send up to 100 elements per POST request
if (count($post_array) > 0) {
	try {
		// POST /v3/business_data/google/hotel_info/live/html
		$result = $client->post('/v3/business_data/google/hotel_info/live/html', $post_array);
		print_r($result);
		// do something with post result
	} catch (RestClientException $e) {
		echo "n";
		print "HTTP code: {$e->getHttpCode()}n";
		print "Error code: {$e->getCode()}n";
		print "Message: {$e->getMessage()}n";
		print  $e->getTraceAsString();
		echo "n";
	}
}
$client = null;
?>
const post_array = [];

post_array.push({
  "location_name": "New York,New York,United States",
  "language_name": "English",
  "hotel_identifier": encodeURI("ChYIq6SB--i6p6cpGgovbS8wN2s5ODZfEAE", "UTF-8")
});

const axios = require('axios');

axios({
  method: 'post',
  url: 'https://api.dataforseo.com/v3/business_data/google/hotel_info/live/html',
  auth: {
    username: 'login',
    password: 'password'
  },
  data: post_array,
  headers: {
    'content-type': 'application/json'
  }
}).then(function (response) {
  var result = response['data']['tasks'];
  // Result data
  console.log(result);
}).catch(function (error) {
  console.log(error);
});
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# simple way to set a task
post_data[len(post_data)] = dict(
    location_code=1023191,
    language_code="en",
    hotel_identifier="ChYIq6SB--i6p6cpGgovbS8wN2s5ODZfEAE"
)
post_data[len(post_data)] = dict(
    location_name="New York,New York,United States",
    language_name="English",
    hotel_identifier="ChYIq6SB--i6p6cpGgovbS8wN2s5ODZfEAE"
)
# POST /v3/business_data/google/hotel_info/live/html
response = client.post("/v3/business_data/google/hotel_info/live/html", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task business_data_info_live()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            // example #1 - a simple way to set a task
            // this way requires you to specify a location, a language of search, and a hotel_identifier.
            postData.Add(new
            {
                language_code = "en",
                location_code = 1023191,
                hotel_identifier = "ChYIq6SB--i6p6cpGgovbS8wN2s5ODZfEAE"
            });
            // example #2 - a way to set a task with additional parameters
            postData.Add(new
            {
                language_name = "English",
                location_name = "New York,New York,United States",
                hotel_identifier = "ChYIq6SB--i6p6cpGgovbS8wN2s5ODZfEAE"
            });
            // POST /v3/business_data/google/hotel_info/live/html
            var taskPostResponse = await httpClient.PostAsync("/v3/business_data/google/hotel_info/live/html", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
  "version": "0.1.20210430",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.2257 sec.",
  "cost": 0,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "05051302-1535-0282-0000-609f07ef7d76",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "0.0750 sec.",
      "cost": 0,
      "result_count": 1,
      "path": [
        "v3",
        "business_data",
        "google",
        "hotel_info",
        "live",
        "html"
      ],
      "data": {
        "se_type": "hotel_info",
        "se": "google",
        "api": "business_data",
        "function": "hotel_info",
        "language_code": "en",
        "location_name": "New York,New York,United States",
        "device": "desktop",
        "os": "windows"
      },
      "result": [
        {
          "keyword": "hotel_id:ChYIq6SB--i6p6cpGgovbS8wN2s5ODZfEAE",
          "type": "hotel_info",
          "se_domain": "google.com",
          "location_code": 1023191,
          "language_code": "en",
          "datetime": "2021-05-05 10:03:06 +00:00",
          "items_count": 1,
          "items": [
            {
              "page": 1,
              "date": "2021-05-05 10:03:06 +00:00",
              "html": "<!doctype html><html><head></head></body></html>"
            }
          ]
        }
      ]
    }
  ]
}